From b217af59e9ad029f8bd101e0a2111d2afd08c6ad Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 6 Jul 2019 00:01:43 -0500
Subject: [PATCH] New package: libnsl-1.2.0

---
 common/shlibs           |  1 +
 srcpkgs/libnsl-devel    |  1 +
 srcpkgs/libnsl/template | 28 ++++++++++++++++++++++++++++
 3 files changed, 30 insertions(+)
 create mode 120000 srcpkgs/libnsl-devel
 create mode 100644 srcpkgs/libnsl/template

diff --git a/common/shlibs b/common/shlibs
index ed76ac8f470..951f2e781d4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3482,3 +3482,4 @@ libknot.so.9 libknot-2.8.2_1
 libdnssec.so.7 libknot-2.8.2_1
 libzscanner.so.3 libknot-2.8.2_1
 libkres.so.9 knot-resolver-4.0.0_1
+libnsl.so.2 libnsl-1.2.0_1
diff --git a/srcpkgs/libnsl-devel b/srcpkgs/libnsl-devel
new file mode 120000
index 00000000000..f29b06bcb35
--- /dev/null
+++ b/srcpkgs/libnsl-devel
@@ -0,0 +1 @@
+libnsl
\ No newline at end of file
diff --git a/srcpkgs/libnsl/template b/srcpkgs/libnsl/template
new file mode 100644
index 00000000000..1d51fc6ed5d
--- /dev/null
+++ b/srcpkgs/libnsl/template
@@ -0,0 +1,28 @@
+# Template file for 'libnsl'
+pkgname=libnsl
+version=1.2.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="pkg-config automake m4 libtool gettext-devel"
+makedepends="libtirpc-devel"
+short_desc="Public client interface for NIS(YP) and NIS+"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="LGPL-2.1-only"
+homepage="https://github.com/thkukuk/libnsl"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=a5a28ef17c4ca23a005a729257c959620b09f8c7f99d0edbfe2eb6b06bafd3f8
+
+pre_configure() {
+	autoreconf -fi
+}
+
+libnsl-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+	}
+}
